jQuery(document).ready(function() {


    jQuery(".slide_additional_features_link").fancybox({
        'autoScale'   : true
    });



    jQuery( ".sliders_list" ).sortable();

    jQuery(".slide_preview_link").live('change',function(){
        jQuery(this).parent().parent().find(".slide_preview").eq(0).attr("src",jQuery(this).val());
    });



    jQuery(".button_delete_slide").live('click',function(){
        jQuery(this).parent().parent().hide(hide_delay, function(){
            jQuery(this).remove();
            return false;
        });
    });



    jQuery(".edit_slider_item").live('click',function(){
        var self=this;
        jQuery(this).parent().animate({
            height: '0'
        }, hide_delay, function() {
            jQuery(self).parent().hide();
            jQuery(self).parent().parent().find(".slide_edit_container").show();
            jQuery(self).parent().parent().find(".slide_edit_container").animate({
                height: '430px'
            }, show_delay, function() {
                //jQuery(self).parent().parent().find(".slide_edit_container").css('height','auto')
                });
        });
    });


    jQuery(".stop_edit_slider_item").live('click',function(){
        var self=this;
        var new_title=jQuery(self).parent().find("p.slider_title input[type=text]").eq(0).val();
        var new_description=jQuery(self).parent().find("p.slider_description textarea").eq(0).val();
        var img_src=jQuery(self).parent().find("img.slide_preview").eq(0).attr("src");

        jQuery(self).parent().parent().find(".slide_view_container h3").text(new_title);
        jQuery(self).parent().parent().find(".slide_view_container p").text(new_description);
        jQuery(self).parent().parent().find(".slide_preview").attr("src",img_src);


        jQuery(this).parent().animate({
            height: '0'
        }, hide_delay, function() {
            jQuery(self).parent().hide();
            jQuery(self).parent().parent().find(".slide_view_container").show();
            jQuery(self).parent().parent().find(".slide_view_container").animate({
                height: '108px'
            }, show_delay, function() {
                //jQuery(self).parent().parent().find(".slide_view_container").height("auto");
                });
        });

    });

    jQuery(".shortcut-slider-item").live('click',function(){
        var slider_id=jQuery(this).attr("slider-id");
        jQuery("[href=#slider_group_"+slider_id+"]").trigger('click');
    });



    jQuery(".add-slider-group").live('click',function(){
        var group_index=parseInt(jQuery(this).attr("group-index"),10);
        var html=jQuery("#slide_template").html();
        html=html.replace(/__GROUP_INDEX__/gi, group_index);
        var sliders_list=jQuery(this).parent().find(".sliders_list").eq(0);
        var slide_index=jQuery(sliders_list).find("li").size();
        html=html.replace(/__SLIDE_INDEX__/gi, slide_index);
        jQuery(sliders_list).prepend(html);
        jQuery(sliders_list).find("li:first-child").show(show_delay);
        //*** additional options

        html=jQuery("#slide_additional_features_template").html();
        html=html.replace(/__GROUP_INDEX__/gi, group_index);
        html=html.replace(/__SLIDE_INDEX__/gi, slide_index);
        jQuery("#slide_additional_features_list").prepend(html);
        items_colorizator("#slide_additional_features_"+group_index+"_"+slide_index);
        jQuery("#slide_additional_features_"+group_index+"_"+slide_index).find("input, select").uniform();
        jQuery( ".sliders_list" ).sortable();
        return false;
    });





    jQuery(".create-slider-group").live('click',function(){
        var group_name=jQuery(this).prev("input").val();
        if(group_name){
            jQuery(".slider_groups_list .js_no_one_item_else").remove();
            jQuery(this).prev("input").val("");
            var groups_count=jQuery(".admin-nav").find("li").length;
            jQuery(".slider_groups_list").eq(0).append('<li style="display:none;"><a href="#slider_group_'+groups_count+'" class="shortcut-portfolio">'+group_name+'</a></li>');
            jQuery(".slider_groups_list").eq(1).append('<li><a class="delegate_click" id-data="slider_group_'+groups_count+'" href="#">'+group_name+'</a><input type="hidden" name="sliders['+groups_count+'][name]" value="'+group_name+'" /><a href="#" title="'+lang_delete+'" class="remove remove-slider-group" group-index="'+groups_count+'"></a><a id-data="slider_group_'+groups_count+'" href="#" title="'+lang_edit+'" class="edit delegate_click"></a></li>');

            var html=jQuery("#group_template").html();
            html=html.replace(/__NAME__/gi, group_name);
            html=html.replace(/__INDEX__/gi, groups_count);
            html=html.replace(/__GROUP_INDEX__/gi, groups_count);
            jQuery("#slider_groups_content").append(html);
            deinit_tabs();
            init_tabs();
            jQuery("[href=#slider_group_"+groups_count+"]").trigger('click');
        }
        return false;
    });


    jQuery(".remove-slider-group").live('click',function(){
        jQuery(this).parent().remove();
        var group_index=parseInt(jQuery(this).attr("group-index"),10);
        jQuery("#slider_group_"+group_index).hide(hide_delay, function(){
            jQuery("#slider_group_"+group_index).remove();
            jQuery("[href=#slider_group_"+group_index+"]").parent().remove();
            jQuery("[group-index="+group_index+"]").parent().remove();
            jQuery(".slider_groups_list_nav_link").trigger('click');
        });
    });


    jQuery(".button_save_slides").click(function(){

        var save_data=jQuery("#theme_slides").serialize();
        if(save_data == ""){
            save_data="sliders=0";
        }

        var data = {
            type: "save",
            action: "change_options",
            values: save_data
        };
        jQuery.post(ajaxurl, data, function(response) {
            show_info_popup(response);
        });
    });
    
    jQuery(".slide_option_bg").live('click',function(){
        var value=jQuery(this).val();
        jQuery(this).parents(".slide_info_box_bg").find("li").hide();
        jQuery(this).parents(".slide_info_box_bg").find(".slide_"+value+"_option").show();
        //*****
        var data_id=jQuery(this).attr("data-id");
        jQuery("#"+data_id).val(value);
    });
    
    
    jQuery(".slide_info_box_background_color").live('change',function(){
        var value=jQuery(this).val();
        var data_id=jQuery(this).attr("data-id");
        jQuery("#"+data_id).val(value);
    });
    
    jQuery(".slide_info_box_background_image").live('change',function(){
        var value=jQuery(this).val();
        var data_id=jQuery(this).attr("data-id");
        jQuery("#"+data_id).val(value);
        jQuery(this).parent().find("img").attr("src",value)
    });
    
    
});


function set_additional_data(obj, input_id){
    jQuery("#"+input_id).val(jQuery(obj).val());
}

